Package org.gradle.ide.xcode

## Interface XcodeWorkspace

- All Superinterfaces:
    `Describable`, `IdeWorkspace`

      public interface XcodeWorkspace
      extends IdeWorkspace

  Represents the generated Xcode workspace.
  Since:
    4.7

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Provider<Directory>` | `getLocation()` | Returns the location of the generated workspace.

    - ### Methods inherited from interface org.gradle.api.Describable

      `getDisplayName`

- - ### Method Detail

    - #### getLocation

          Provider<Directory> getLocation()

      Returns the location of the generated workspace.
      Specified by:
        `getLocation` in interface `IdeWorkspace`